%define upstream_name    Text-Pipe
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Common text filter API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Class::Accessor::Constructor)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.780.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
This class is a factory for text pipes. A pipe has a 'filter()' method
through which input can pass. The input can be a string or a reference to
an array of strings. Pipes can be stacked together using the
Text::Pipe::Stackable manpage.

The problem that this distribution tries to solve is that there are several
distributions on CPAN which use text filtering in some way or other, for
example the Template Toolkit. But each distribution is somewhat different,
and they have to reimplement the same text filters over and over again.

This distribution aims at offering a common text filter API. So if you want
to use text pipes with Template Toolkit, you just need to write an adapter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo "no
manual" | %{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jan 02 2014 pterjan <pterjan> 0.100.0-5.mga4
+ Revision: 563922
- Ugly workaround to get cpan configured without installing stuff. Not needed outside iurt but I failed to understand the problem.
- Disable Module::AutoInstall and bump BuildRequires

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-4.mga4
+ Revision: 515586
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-3.mga3
+ Revision: 374133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 326936
- adding missing buildrequires:

* Sun Jan 09 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 4698
- imported package perl-Text-Pipe

